package com.epson.mobilephone.common.license;

import android.content.Context;

import androidx.annotation.NonNull;

import java.io.Serializable;

/**
 * 协议对象
 */
public interface LicenseInfo extends Serializable {

    String getApplicationName(@NonNull Context context);

    String getDocumentString(@NonNull Context context, int i);

    int getLicenseAgreement(@NonNull Context context);

    void setLicenceAgreement(@NonNull Context context);
}
